PROBE::SOCKET.RECV(3stap)

NAME
probe::socket.recvmsg.return - Return from Message being received on socket

SYNOPSIS

socket.recvmsg.return

VALUES

success
    Was receive successful? (1 = yes, 0 = no)

name
    Name of this probe

protocol
    Protocol value

flags
    Socket flags value

size
    Size of message received (in bytes) or error code if success = 0

state
    Socket state value

family
    Protocol family value

type
    Socket type value

CONTEXT

The message receiver.

DESCRIPTION

Fires at the conclusion of receiving a message on a socket via the sock_recvmsg function.

SEE ALSO
tapset::socket(3stap)